#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n,k,x;
    ll niz[1005];

    cin >> n >> k >> x;

    if (k==3 && n>=3)
    {
        if (n%2==0)
        {
            for (int i=1;i<=n;i+=2)
            {
                niz[i]=2*x;
                niz[i+1]=x;
            }
            for (int i=1;i<=n;i++) cout << niz[i];
        }
        else
        {
           for (int i=1;i<=n-1;i+=2)
            {
                niz[i]=2*x;
                niz[i+1]=x;
            }
            niz[n]=0;
            for (int i=1;i<=n;i++) cout << niz[i];
        }
    }
    else cout << -1;

    return 0;
}